FTOS_CB_DeleteManualRepaymentNotification
Deletes a manual repayment notification record from the FTOS_CB_RepaymentNotification entity, if that notification is in Draft status.
Syntax
The FTOS_CB_DeleteManualRepaymentNotification custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_DeleteManualRepaymentNotification
Content-Type: application/json
{
"notificationNo": "<repayment_notification_number>"
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| notificationNo | Mandatory. The number of the repayment notification record. The record must be in Draft status, otherwise the system doesn't delete it. |
Response
The response indicates the result of the code execution, specifically the result of deleting a repayment notification record.
Example
To delete a repayment notification in Draft status, send the following request, changing the parameter values with your desired values.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_DeleteManualRepaymentNotification
Content-Type: application/json
{
"notificationNo": "44847"
}
Response
{
"IsSuccess": true,
"Message": "The notification was deleted."
}
Error Message
-
The notification could not be deleted, not in draft status.- The notification with the number specified in the request body was not deleted because its status is different thanDraft.